Create or import a skill
POST
/api/v1/skills
const url = 'https://example.com/api/v1/skills?projectId=00000000-0000-0000-0000-000000000000';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"source":"example","skillName":"example","name":"example","description":"example","origin":"skills-sh"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/v1/skills?projectId=00000000-0000-0000-0000-000000000000' \ --header 'Content-Type: application/json' \ --data '{ "source": "example", "skillName": "example", "name": "example", "description": "example", "origin": "skills-sh" }'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Request Body
Section titled “Request Body ” Media type application/json
object
source
required
string
skillName
required
string
name
required
string
description
string
origin
required
string
Responses
Section titled “ Responses ”Success
Media type application/json
object
_id
required
string
slug
required
string
source
required
string
skillName
required
string
name
required
string
description
string
origin
required
string
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
projectId
required
string